#pragma once
#include <map>
struct M_ActivitySummerPlanRedpacketCFGData
{
	//ID
	int mID;
	//解锁条件类型
	int mNeedType;
	//解锁条件
	int mNeedCount;
	//奖励道具ID
	int mItemID;
	//奖励道具数量
	int mItemCount;
	//概率奖励道具
	std::vector<int> mItemProbability;
	//任务名称
	std::string mShowName;
	// 奖励标题
	std::string mRewardTitle;
	//需要激活
	int mNeedActive;
};

class M_ActivitySummerPlanRedpacketCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanRedpacketCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanRedpacketCFGData* GetData(int ID);
	const std::map<int, M_ActivitySummerPlanRedpacketCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySummerPlanRedpacketCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySummerPlanRedpacketCFGData> mMapData;
};
